import warnings
from typing import Optional, Tuple
from axelrod.action import Action
from axelrod.player import Player
lIlIlIIllIIlll, IIlIlIIIIlIllIII = Action.C, Action.D
class IlllllllllIIl(Player):
    IlIIllllllIlIIIIIll = "strategy"
    IlIllIIlIlllIIIIl = {
        "memory_depth": 1,  
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIllIllIlllIlIIl(llIIlIIIIllIIIlIlll, IIllIllIIIllIllIIIl: Player) -> Action:
        if len(llIIlIIIIllIIIlIlll.history) == 0:
            return llIIlIIIIllIIIlIlll._random.random_choice(0.6)
        return llIIlIIIIllIIIlIlll.history[-1]